精华内容
下载资源
问答
  • 企业linux运维面试题28例1、Linux如何挂载windows下的共享目录?mount.cifs //IP地址/server /mnt/server -o user=administrator,password=123456linux 下的server需要自己手动建一个 后面的user与pass 是windows...

    企业linux运维面试题28例

    1、Linux如何挂载windows下的共享目录?

    mount.cifs //IP地址/server /mnt/server -o user=administrator,password=123456

    linux 下的server需要自己手动建一个 后面的user与pass 是windows主机的账号和密码 注意空格 和逗号

    2、如何查看http的并发请求数与其TCP连接状态?

    netstat -n | awk '/^tcp/ {++b[$NF]}' END {for(a in b) print a,b[a]}'

    还有ulimit -n 查看linux系统打开最大的文件描述符,这里默认1024,不修改这里web服务器修改再大也没用。若要用就修改很几个办法,这里说其中一个:

    修改/etc/security/limits.conf

    soft nofile 10240

    hard nofile 10240

    重启后生效

    3、如何用tcpdump嗅探80端口的访问看看谁最高?

    tcpdump -i eth0 -tnn dst port 80 -c 1000 | awk -F"." '{print $1"."$2"."$3"."$4"."}' | sort |uniq -c | sort -nr | head -5

    4、如何查看/var/log目录下的文件数?

    ls /var/log/ -1R | grep "-" | wc -l

    5、如何查看Linux系统每个ip的连接数?

    netstat -n | awk '/^tcp/ {print $5}' | awk -F: '{print $1}' | sort | uniq -c | sort -rn

    6、shell下生成32位随机密码

    cat /dev/urandom | head -1 | md5sum | head -c 32 >> /pass

    7、统计出apache的access.log中访问量最多的5个ip

    cat access.log | awk '{print $1}' | sort | uniq -c | sort -n -r | head -5

    8、如何查看二进制文件的内容?

    我们一般通过hexdump命令 来查看二进制文件的内容。

    hexdump -C XXX(文件名) -C是参数 不同的参数有不同的意义

    -C 是比较规范的 十六进制和ASCII码显示

    -c 是单字节字符显示

    -b 单字节八进制显示

    -o 是双字节八进制显示

    -d 是双字节十进制显示

    -x 是双字节十六进制显示

    9、ps aux 中的VSZ代表什么意思,RSS代表什么意思?

    VSZ:虚拟内存集,进程占用的虚拟内存空间

    RSS:物理内存集,进程战用实际物理内存空间

    10、如何检测并修复/dev/hda5?

    fsck用来检查和维护不一致的文件系统。若系统掉电或磁盘发生问题,可利用fsck命令对文件系统进行检查

    11、介绍下Linux系统的开机启动顺序

    加载BIOS–>读取MBR–>Boot Loader–>加载内核–>用户层init一句inittab文件来设定系统运行的等级(一般3或者

    5,3是多用户命令行,5是界面)–>init进程执行rc.syninit–>启动内核模块–>执行不同级别运行的脚本程序–>执行/etc/rc.d/rc.local(本地运行服务)–>执行/bin/login,就可以登录了。

    12、符号链接与硬链接的区别

    我们可以把符号链接,也就是软连接 当做是 windows系统里的 快捷方式。

    硬链接 就好像是 又复制了一份,举例说明:

    ln 3.txt 4.txt 这是硬链接,相当于复制,不可以跨分区,但修改3,4会跟着变,若删除3,4不受任何影响。

    ln -s 3.txt 4.txt 这是软连接,相当于快捷方式。修改4,3也会跟着变,若删除3,4就坏掉了。不可以用了。

    13、保存当前磁盘分区的分区表

    dd 命令是以个强大的命令,在复制的同时进行转换

    dd if=/dev/sda of=./mbr.txt bs=1 count=512

    14、如何在文本里面进行复制、粘贴,删除行,删除全部,按行查找和按字母查找?

    以下操作全部在命令行状态操作,不要在编辑状态操作。

    在文本里 移动到想要复制的行 按yy 想复制到哪就移动到哪,然后按P 就黏贴了

    删除行 移动到改行 按dd

    删除全部 dG 这里注意G一定要大写

    按行查找 :90 这样就是找到第90行

    按字母查找 /path 这样就是 找到path这个单词所在的位置,文本里可能存在多个,多次查找会显示在不同的位置。

    15、手动安装grub

    grub-install /dev/sda

    16、修改内核参数

    vi /etc/sysctl.conf 这里修改参数

    sysctl -p 刷新后可用

    17、在1-39内取随机数

    expr $[RANDOM%39] +1

    RANDOM随机数

    %39取余数范围0-38

    18、限制apache每秒新建连接数为1,峰值为3

    每秒新建连接数 一般都是由防火墙来做,apache本身好像无法设置每秒新建连接数,只能设置最大连接:

    iptables -A INPUT -d 172.16.100.1 -p tcp –dport 80 -m limit –limit 1/second -j ACCEPT

    19、FTP的主动模式和被动模式

    FTP协议有两种工作方式:PORT方式和PASV方式,中文意思为主动式和被动式。

    PORT(主动)方式的连接过程是:客户端向服务器的FTP端口(默认是21)发送连接请 求,服务器接受连接,建立一条命令链路。当需要传送数据时,客户端在命令链路上用PORT 命令告诉服务器:"我打开了XX端口,你过来连接我"。于是服务器从20端口向客户端的 XX端口发送连接请求,建立一条数据链路来传送数据。

    PASV(被动)方式的连接过程是:客户端向服务器的FTP端口(默认是21)发送连接请 求,服务器接受连接,建立一条命令链路。当需要传送数据时,服务器在命令链路上用PASV 命令告诉客户端:"我打开了XX端口,你过来连接我"。于是客户端向服务器的XX端口 发送连接请求,建立一条数据链路来传送数据。

    从上面可以看出,两种方式的命令链路连接方法是一样的,而数据链路的建立方法就完 全不同。

    20、显示/etc/inittab中以#开头,且后面跟了一个或者多个空白字符,而后又跟了任意非空白字符的行

    grep "^#\{1,\}[^]" /etc/inittab

    21、显示/etc/inittab中包含了:一个数字:(即两个冒号中间一个数字)的行

    grep "\:[0-9]\{1\}:" /etc/inittab

    22、怎么把脚本添加到系统服务里,即用service来调用?

    在脚本里加入

    #!/bin/bash

    # chkconfig: 345 85 15

    # description: httpd

    然后保存

    chkconfig httpd –add 创建系统服务

    现在就可以使用service 来 start or restart

    23、写一个脚本,实现批量添加20个用户,用户名为user01-20,密码为user后面跟5个随机字符

    #!/bin/bash

    #description: useradd

    for i in `seq -f"%02g" 1 20`;do

    useradd user$i

    echo "user$i-`echo $RANDOM|md5sum|cut -c 1-5`"|passwd –stdinuser$i >/dev/null 2>&1

    done

    24、写一个脚本,实现判断192.168.1.0/24网络里,当前在线的IP有哪些,能ping通则认为在线

    #!/bin/bash

    for ip in `seq 1 255`

    do

    ping -c 1 192.168.1.$ip > /dev/null 2>&1

    if [ $? -eq 0 ]; then

    echo 192.168.1.$ip UP

    else

    echo 192.168.1.$ip DOWN

    fi

    }&

    done

    wait

    25、写一个脚本,判断一个指定的脚本是否是语法错误;如果有错误,则提醒用户键入Q或者q无视错误并退出其它任何键可以通过vim打开这个指定的脚本

    #!/bin/bash

    read -p "please input check script-> " file

    if [ -f $file ]; then

    sh -n $file > /dev/null 2>&1

    if [ $? -ne 0 ]; then

    read -p "You input $file syntax error,[Type q to exit or Type vim to edit]" answer

    case $answer in

    q | Q)

    exit 0

    ;;

    vim )

    vim $file

    ;;

    *)

    exit 0

    ;;

    esac

    fi

    else

    echo "$file not exist"

    exit 1

    fi

    26、写一个脚本,要求如何:

    创建一个函数,能接受两个参数:

    1)第一个参数为URL,即可下载的文件;第二个参数为目录,即下载后保存的位置;

    2)如果用户给的目录不存在,则提示用户是否创建;如果创建就继续执行,否则,函数返回一个51的错误值给调用脚本;

    3)如果给的目录存在,则下载文件;下载命令执行结束后测试文件下载成功与否;如果成功,则返回0给调用脚本,否则,返回52给调用脚本;

    #!/bin/bash

    url=$1

    dir=$2

    download()

    {

    cd $dir >> /dev/null 2>&1

    if [ $? -ne 0 ];then

    read -p "$dir No such file or directory,create?(y/n)" answer

    if [ "$answer" == "y" ];then

    mkdir -p $dir

    cd $dir

    wget $url 1> /dev/null 2>&1

    else

    return "51"

    fi

    fi

    if [ $? -ne 0 ]; then

    return "52"

    fi

    }

    download $url $dir

    echo $?

    27、写一个脚本,详细需求如下:

    1、创建一个函数,可以接受一个磁盘设备路径(如/dev/sdb)作为参数;在真正开始后面步骤之前提醒用户有危险,并让用户选择是否继续;而后将此磁盘设备上的所有分区清空(提示,使用命令dd if=/dev/zero of=/dev/sdb bs=512 count=1实现,注意其中的设备路径不要写错了;

    如果此步骤失败,返回67给主程序;

    接着在此磁盘设备上创建两个主分区,一个大小为100M,一个大小为1G;如果此步骤失败,返回68给主程序;

    格式化此两分区,文件系统类型为ext3;如果此步骤失败,返回69给主程序;

    如果上述过程都正常,返回0给主程序;

    2、调用此函数;并通过接收函数执行的返回值来判断其执行情况,并将信息显示出来;

    local Darray=(`ls /dev/sd[a-z]`)

    for i in ${Darray};do

    [[ "$i" == "$1" ]] && Sd=$i &&break

    done

    else

    return66

    fi

    #当匹配成功,进入选择,告诉用户,是否继续,输错的话进入无限循环,当用户选择Y,则清空目标分区,且跳出while循环

    while :;do

    read -p "Warning!!!This operation will clean $Sd data.Next=y,Quit=n [y|n]:" Choice

    case $Choice in

    y)

    dd if=/dev/zero of=$Sd bs=512 count=1 &> /dev/null &&break || return 67 ;;

    n)

    exit 88 ;;

    *)

    echo "Invalid choice,please choice again." ;;

    esac

    done

    #使用echo传递给fdisk进行分区,如果此命令失败,则跳转出去,错误值68,需要注意的是,有时候这个返回值很诡异,笔者之前成功与否都是返回的1,后来重启之后,就好了,如果慎重的话,可以对创建的分区,进行判断,不过就需要使用其他工具截取相关字段了,虽有些小麻烦,但无大碍

    echo-e "n\np\n1\n\n+100M\nn\np\n2\n\n+1024M\nw\n"|fdisk /dev/sdb&> /dev/null || || return 68

    #格式化之前,让内核重新读取磁盘分区表,值得注意的是,有的系统版本,使用partprobe无效,譬如笔者的环境是rhel5.8,而rhel6.0以后,这个命令就很危险了,而使用partx -a /dev/sdb则效果更好…此项需慎重,如果格式化失败,则告知把失败的分区定义成变量,且跳出函数,并带出错误值69

    `partprobe`

    Part=`fdisk -l /dev/$Sd|tail -2|cut -d" " -f1`

    for M in ${Part};do

    mke2fs -j $M &> /dev/null && ErrorPart=$M &&return 69

    done

    return 0

    }

    #下面代码,调用函数,接收函数返回值,根据返回值进行判断哪里出错。

    Disk_Mod $1

    Res=$?

    [ $Res-eq 0 ] && exit 0

    [ $Res-eq 66 ] && echo "Error! Invalid input."

    [ $Res-eq 67 ] && echo "Error! Command -> dd fdisk mke2fs

    28、如何让history命令显示具体时间?

    HISTTIMEFORMAT="%Y-%m-%d %H:%M:%S"

    export HISTTIMEFORMAT

    重新开机后会还原,可以写/etc/profile

    展开全文
  • 大厂面试题:网络基础类面试题01.Linux运维经典面试题_网络基础-视频介绍02.Linux运维经典面试题_网络基础-面试题103.Linux运维经典面试题_网络基础-面试题204.Linux运维经典面试题_网络基础-面试题3Linux系统管理类...

    大厂面试题:

    网络基础类面试题

    01.Linux运维经典面试题_网络基础-视频介绍

    02.Linux运维经典面试题_网络基础-面试题1

    03.Linux运维经典面试题_网络基础-面试题2

    04.Linux运维经典面试题_网络基础-面试题3

    Linux系统管理类面试题

    05.Linux运维经典面试题_Linux系统管理类-权限优化

    06.Linux运维经典面试题_Linux系统管理类-备份策略

    07.Linux运维经典面试题_Linux系统管理类-Raid

    08.Linux运维经典面试题_Linux系统管理类-资源查看

    09.Linux运维经典面试题_Linux系统管理类-启动流程

    10.Linux运维经典面试题_Linux系统管理类-系统优化

    Shell编程类面试题

    11.Linux运维经典面试题_shell编程类-文本截取

    12.Linux运维经典面试题_shell编程类-随机字符串

    13.Linux运维经典面试题_shell编程类-网站检测

    Linux服务类面试题

    14.Linux运维经典面试题_Linux服务管理-视频介绍

    15.Linux运维经典面试题_Linux服务管理-SSH服务

    16.Linux运维经典面试题_Linux服务管理-DHCP+FTP

    17.Linux运维经典面试题_Linux服务管理-DNS服务

    18.Linux运维经典面试题_Linux服务管理-Apache配置

    19.Linux运维经典面试题_Linux服务管理-Apache优化

    20.Linux运维经典面试题_Linux服务管理-Nginx配置

    21.Linux运维经典面试题_Linux服务管理-Nginx进阶

    22.Linux运维经典面试题_Linux服务管理-http状态码

    数据库管理类面试题

    23.Linux运维经典面试题_数据库管理-MySQL语句

    24.Linux运维经典面试题_数据库管理-MySQL集群

    25.Linux运维经典面试题_数据库管理-MySQL索引

    26.Linux运维经典面试题_数据库管理-Redis

    展开全文
  • Linux运维面试题(1)

    2021-01-28 11:30:37
    年底了,面试/被面试的需求比较多,整理一下传统运维的基础面试题,每次10题,随缘更新 介绍下HTTP请求/响应报文结构 一个HTTP请求报文由四个部分组成:请求行,请求头部,空行,请求数据 请求行 GET /data/info...
    Big Picture

    年底了,面试/被面试的需求比较多,整理一下传统运维的基础面试题,每次10题,随缘更新

    1. 介绍下HTTP请求/响应报文结构
      一个HTTP请求报文由四个部分组成:请求行,请求头部,空行,请求数据
    • 请求行 GET /data/info.html HTTP/1.1(请求方法, URL, HTTP版本)
    • 请求头 大多数服务器在请求中都会在头部带上游览器信息等
    • 空行 空行标识请求头部的结束
    • 请求数据:请求主体,在GET方法中这里一般会是空

    一个HTTP响应报文由三个部分组成: 状态行,空行,请求数据

    • 状态行 协议版本(空格)状态码(空格)短语
    • 空行 标识状态行的结束
    • 请求数据 实际的返回数据
    1. cookie是啥
      Cookie是由服务器端生成,发送给客户端,浏览器会将Cookie的key/value保存到某个目录下的文本文件内,下次请求同一网站时就发送该Cookie给服务器

    2. iptables的四表五链

    • 四表: raw, mangel, nat, filter
    • 五链: pre-routing, input, output, forward, post-routing
    1. 给一个linux服务器1G内存,不考虑CPU,一个目录下10个文件,每个文件包含1G大小的正整数,获取10个文件里前10大的正整数。

      内存小,所以无法直接cat,不然直接OOM,如果文件是有换行符的,所以最简单的方法是逐行读取,或者分片读取,读取的数据进行排序,比如逐行读取,定义一个长度为10的数据,先取10个正整数放到数组中,然后排序,随后开始继续逐行读文件,每读取一个,则和之前的数组里的数据比大小,直到每个文件比完。

    2. iptables如何优化

      无非也就两种方法,一种是改写内核过滤策略,比如不依赖netfilter,使用ipset之类的,还要就是优化iptables的写法,写法优化一般以下几类:

    • 带状态连接(new,established,invalid,related)的策略建议放在第一条
    • 应该将那些可由一条规则能够描述的多个规则合并为一条
    • nf_conntrack相关内核参数设置,避免nf_conntrack 爆满
    • iptables -P 谨慎使用,避免把自己关在外面
    • 能合并的策略尽量合并
    • 同类策略范围小的放前面,比如单独1-2个IP的特殊策略
    • 异类策略范围大的放前面,让其早日匹配到
    1. poll, epoll, select的区别是什么?
    • select 无差别轮询所有套接字,如果套接字数量越大,则轮询时间越短。
    • poll 和select其实差别不大,但存储空间会大,select默认支持的数量就是服务器的最大支持句柄数量,本质上是个数组,但poll维护的其实是个链表。
    • epoll 类似个上报机制,每个句柄都会关联上提前需写的函数(事件),一旦socket有请求,则会唤醒对应的事件,好处在于不用轮询,但是问题在于负载高了回调的事件函数会比较多,导致高负载
    1. DNS的解析过程
    • 迭代查询 – 客户端-> 根域名服务器-> if域名服务器查询不到-> 则DNS服务器作为客户端再去查询
    • 递归查询 – 客户端-> 根域名服务器-> if域名服务器查询不到-> 则DNS客户端自己再去查询
    1. 进程间通信方式有哪些

      一共6种: 管道,信号,信号量,消息队列,共享内存,套接字共六种
    • 管道: 数据只能单向操作,比如 ls -l | grep string , 该操作是无法逆向的
    • 信号: 按键、硬件异常、进程调用kill函数将信号发送给另一个进程,比如Kill 动作其实就是对一个进程发送一个SIGKILL的动作,传递的消息比较少
    • 信号量: 类似于一个线程锁, 主要用于线程内部对共享资源的通信。
    • 消息队列: 消息队列是消息的链表,存放在内核中并由消息队列标识符标识,能传递的消息相对较多,但会存在缓冲区的限制,类似可以想象下go里面带缓冲的channel。
    • 共享内存: 性能最高的一种, 就是映射一段能被其他进程所访问的内存,速度很快,但缺乏锁的机制,容易出现类似问题
    • 套接字: 写socket的方式进行通信,主要是面向网络的
    1. 对称加密和非对称加密
    • 对称加密: 即加密的密钥和解密的密钥相同, 对称加密解密的速度比较快,适合数据比较长时的使用。
    • 非对称加密: 非对称加密将密钥分为公钥和私钥,公钥可以公开,私钥需要保密,客户端公钥加密的数据,服务端可以通过私钥来解密, 非对称加密和解密花费的时间长、速度相对较慢,只适合对少量数据的使用。
    1. https通信过程
    • 客户端发送请求到服务端
    • 服务端返回公钥和证书到客户端
    • 客户端接收后会验证证书的安全性,如果通过则会随机生成一个随机数,用公钥对其加密,发送到服务端
    • 服务端接受到这个加密后的随机数后会用私钥对其解密得到真正的随机数,随后用这个随机数当做私钥对需要发送的数据进行对称加密
    • 客户端在接收到加密后的数据使用私钥(即生成的随机值)对数据进行解密并且解析数据呈现结果给客户
    • SSL加密建立
    个人公众号, 分享一些日常开发,运维工作中的日常以及一些学习感悟,欢迎大家互相学习,交流

    在这里插入图片描述

    展开全文
  • 1、取出IP地址1.ifconfigeth0|grep"inetaddr"|cut-d":"-f2|cut-d""-f12.ifconfigeth0|grep"inetaddr"|awk-F":"'{print$2}'|awk'{print$1}'3.ifconfigeth0|grep"inetaddr"|awk-F"[:]"'{print$13...

    1、取出IP地址1.ifconfig eth0|grep "inet addr"|cut -d":" -f2|cut -d" " -f1

    2.ifconfig eth0|grep "inet addr"|awk -F ":" '{print $2}'|awk  '{print $1}'

    3.ifconfig eth0|grep "inet addr"|awk -F "[: ]" '{print $13}'

    4.ifconfig eth0|grep "inet addr"|awk -F "[: ]+" '{print $4}'

    5.ifconfig eth0|sed -n '2p'|awk -F "[: ]+" '{print $4}'

    6.ifconfig eth0|awk -F "[: ]+" 'NR==2{print $4}'

    7.ifconfig eth0|sed -n '/inet addr/p'|sed 's#^.*addr:##g'|sed 's#  Bc.*$##g'

    8.ifconfig eth0|sed -n 's#^.*addr:\(.*\)  Bcast.*#\1#gp'

    2、查找当胆目录下所有文件,并把文件中的test.com字符串,替换成123.com。拓展-插入数据:sed -i '1 i test' test.txt  //表示在第1行插入,test

    1.find . -type -f -exec sed -i 's#test\.com#123\.com#g' {} \;

    2.find . -type -f|xargs sed -i 's#test\.com#123\.com#g'

    3、请问在echo命令上加什么参数可以实现下面命令在同一行输出。echo "test";echo "test2"

    1.echo -n echo "test";echo "test2"

    2.echo -e "test\ntest2"

    4、请给出如下格式的date 命令:18-03-31.再给出实现周输出,比如:周六输出为6 ,请分别给出命令。date '+%y-%m-%d'

    date +%F|cut -c 3-

    date '+%Y-%m-%d'|cut -c 3-

    date '+%w'        //输出星期几

    date '+%u'        //输出星期几

    date +%Y-%m-%d\ %H:%M:%S   //年月日  时分秒

    date ++%F\ %T             //年月日  时分秒

    date +%F -d '3 day'   //3天后

    date +%H -d '3 hour'   //3小时后

    date +%M -d '3 min'   //3秒后

    拓展:

    以时间命名打包文件。

    tar -zcvf test-$(date +%F).tar.gz ./test

    tar -zcvf test.tar.gz ./test        //test目录打包为test.tar.gz

    tar -tf test.tar.gz            //查看压缩包内容

    tar -zcvf test-$(date +%F -d '-7 day').tar.gz  ./test   //打包7天前的压缩包

    5、已知 :/test/test.txt 文件内容为如下,把空行过滤掉。test1

    abcd2

    mnbm31.grep -v "^$" /test/text.txt

    2.sed /^$/d/ /test/text.txt

    3.awk /^[^$]/ /test/text.txt

    6、已知 :/test/test.txt 文件内容为如下,把空行过滤掉。9b3f1f9d309c0ae54cf617076dee0ca0.png赞0

    c788d2554644b6a03084e98b2926d709.png

    380c82d9930cb6b75d8471e9cb2da8a3.png踩0

    本文标签:习题

    版权声明:若无特殊注明,本文为《橙子柠檬》原创,转载请保留文章出处。

    本文链接:https://qinzc.me/post-64.html

    正文到此结束

    展开全文
  • 5.linux运行级别:7个 0:系统停机状态,系统默认运行级别不能设置为0,否则不能正常启动,机器关闭。 1:单用户工作状态,root权限,用于系统维护,禁止远程登陆,就像Windows下的安全模式登录。 2:多用户状态,没有...
  • linux运维面试题:第一部分

    千次阅读 2021-01-25 23:22:46
    linux运维面试题: (第一部分)三 在生活中跳槽或者换萌新找工作时,总会显得没有水平,从而不能在人群中脱颖而出那么,如何在跳槽中,从容的应对考官的面试呢,(小宇)在这里总结了一点面试题供大家分享: 注:...
  • then echo "$ip is online" else echo "$ip is offline" fi done 脚本二: 我们去面试经常被问到磁盘使用率,我们可以写一个脚本来判断磁盘的使用率 #!/bin/bash # 截取IP ## 截取IP有多种方法 IP=`ifconfig eth...
  • 1. 磁盘使用率检测(用shell脚本) root@ecs-c13b ~]# cat fdisk.sh #!/bin/bash # 截取IP IP=`ifconfig eth0 |awk -F " " 'NR==2{print $2}'` # 定义使用率,并转换为数字 SPACE=`df -Ph |awk '{print int($5)}'` ...
  • 正准备参加Linux运维面试的小伙伴们来和小编一起看一看吧,希望本篇文章能够对正在从事Linux运维工作的小伙伴们有所帮助。一、某一天误操作,执行了rm -rf * ,会有哪些情况发生?请举例。答:如果当前目录为"/tmp" ...
  • 运维面试自我介绍

    千次阅读 2021-05-17 11:15:16
    [标签:标题]2016运维面试自我介绍运维面试自我介绍运维面试自我介绍面试中的紧张及其控制紧张是毕业生面试时需要战胜的最大敌人。陌生的环境,被陌生人提问,而且又事关自己今后的发展前途,不可能不紧张。适度的...
  • Linux 运维面试题 参考

    2021-12-09 17:42:06
    1、LINUX系统软件安装和卸载的常见方法 答: A.rpm包卸载:rpm -e XXX.rpm (如果想忽略依赖,可加上–nodeps) B.yum remove xxx.rpm 这种方法非常不建议使用,卸载过程会将待卸载的软件包所依赖的软件包一并卸载掉...
  • 面试基本上都离不开以下这些问题:1.请用最简洁的语言描述您从前的工作经历和工作成果。2.您认为此工作岗位应当具备哪些素质?3.您平时习惯于单独工作还是团队工作?4.您对原来的单位和上司的看法如何?5.您如何描述...
  • 课程不作为Linux运维技术面试的标杆级课程,从五个大的方向来进行课程的展开,分别是网络基础类面试,Linux系统管理类面试,Linux Shell编程类面试,Linux服务管理面试,数据库DBA管理面试,所以从技术层面来看,不...
  • linux运维面试

    2021-05-19 06:46:50
    1、Linux挂载Winodws共享文件夹2、查看http的并发请求数及其TCP连接状态:3、用tcpdump嗅探80端口的访问看看谁最高4、统计/var/log/下文件个数5、查看当前系统每IP连接数6、shell下32位随机密码生成7、统计出apache...
  • 前言 网上的运维面试题文章有非常多,在我的博客中也有一些是这些年运维人员面试的面试题,之前一些经典的面试题我已经整理到专栏《运维...因此,我花了几天时间整理了一些时下高频的 Linux运维面试题,并反复斟酌,
  • linux运维面试题: (第二部分)三 iptables防火墙部分面试题 (仅供参考) 注:(面试题是通过本人在网上搜索总结出来的,如果您看到文章内有,属于自己创造的部分,请联系我,谢谢) 你听说过Linux下面的iptables...
  • Linux运维面试

    2021-05-17 19:27:14
    Linux运维面试题1)Linux启动大致过程?*BIOS自检*运行系统内核并检测硬件从硬盘启动并运行系统的第一个进程init(LILO和GRUB模式)*init读取系统引导配置文件/etc/inittab,并根据运行级别配置服务/etc/rc.d/rc.local2)...
  • linux运维面试题: (第三部分)三 本章是关于docker的面试题于实战(实战=当你正在面试时,回答问题的方式) 注:(很多题都是通过网上搜索总结出来的,可能在一部分内发现自己写的东西:如有不满请联想我删除,谢谢...
  • 文章目录选择题简答题 ...Linux下查看服务程序占用的端口命令是什么? A ps -aux B netstat –apn C watch D lsof 对于Linux说法,下列说法正确的是() A 线性访问内存非法时,当前线程会进入信号处理函数 B 用mv命令
  • 总结 前言: 本面试题,是小伙伴们7月份出去面试获得的一手资料,如果你也在面试运维,可以看看,说不定你也会去这家公司面试。 公司的面试题也是从网上找的题目,而且很多公司面试题一套题一用就是几年不换题。换...
  • 下面是一名资深Linux运维求职数十家公司总结的Linux运维面试精华,助力大家跳槽找个高薪好工作。 1、什么是运维?什么是游戏运维? 1)运维是指大型组织已经建立好的网络软硬件的维护,就是要保证业务的上线与运作的...
  • 以下内容转载于Linux运维常见面试题汇总_ 静静是我女朋友-CSDN博客 如果觉得文章写得好,记得给作者点个赞啊Linux运维常见面试题汇总http://ticket.cpcmuseum.cn/Home/Index
  • 今天小编要跟大家分享的文章是关于Linux运维人员面试必备网络运维面试题汇总。准备参加Linux面试的小伙伴们来和小编一起看一看吧,看看能答对几道题,希望本篇文章能够对大家有所帮助。1、如何查看Linux系统每个ip的...
  • Linux运维面试题解析

    2021-05-16 05:05:23
    一、题目1、Linux挂载Winodws共享文件夹2、查看http的并发请求数及其TCP连接状态3、用tcpdump嗅探80端口的访问看看谁最高4、统计/var/log/下文件个数5、查看当前系统每IP连接数6、shell下32位随机密码生成7、统计出...
  • Linux运维工程师初级面试面试题 请写出以太网双绞线 T568B 的线序 答:橙白 橙 绿白 蓝 蓝白 绿 棕白 棕 传统以太网的最大传输包长(MTU)是()字节 答:1500 OSI 网络参考模型和 TCP/IP 的区别是什么?实际应用...
  • CentOS 6系列发行包使用的linux内核版本是什么?RHEL7.0的内核版本;3.10.0-123.el7RHEL5.5的内核版本:2.6.18-194.el5CentOS7的内核版本:3.10.0-123.el7CentOS6系列:Kernel based on 2.6.32CentOS6.0的内核版本:...
  • linux运维面试题1

    2021-01-27 23:07:02
    有10 台被监控主机、一台监控机,在监控机上编写脚本,一旦某台被监控机器/分区适用率大于80%, 就发邮件报警放到crontab 里面, 每10 分钟检查一次 #测试机器:虚拟机Linux as 4 #1.首先建立服务器间的信任关系。拿...
  • linux运维面试题中级

    2021-05-11 06:04:25
    linux面试题1.解释top命令和vmstat命令top 动态 vmstat静态2.请写出iptables语句iptables [-t 表名] -命令 -匹配 -j 动作/目标1)本地80端口的请求转发到8080端口,当前主机IP为192.168.2.1iptables -t nat -A ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 17,927
精华内容 7,170
关键字:

linux运维面试

linux 订阅
友情链接: fwdrap.zip